Bug 60676 - makewhatis breaks
Summary: makewhatis breaks
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-04 17:43 UTC by David Balažic
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-23 14:44:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2002-03-04 17:43:25 UTC
On a fresh 7.2.90 system :

# makewhatis
/usr/sbin/makewhatis: cd: /usr/man: No such file or directory

the whatis database is not built

Comment 1 Bernhard Rosenkraenzer 2002-03-07 14:42:32 UTC
Not reproducable in 7.2.91.

Comment 2 David Balažic 2002-03-23 14:44:40 UTC
The same on beta2 for me.
Maybe something created /usr/man on your system and that "covers" the bug ?
I did a minimum fresh install.

Comment 3 Bernhard Rosenkraenzer 2002-03-25 13:50:15 UTC
No, I don't have a /usr/man and I can't find anything in the code needing it. It's listed  
as a secondary man path (and that should stay for legacy applications), but there's  
nothing in the code that would insist on it. 
 
This is in beta3, of course, maybe something was changed in between.

Comment 4 Bernhard Rosenkraenzer 2002-03-25 14:07:51 UTC
Oh, found the problem. It's triggered only if no existing whatis database exists. Fixed in 
-6.

Comment 5 David Balažic 2002-03-27 10:49:30 UTC
Bug still in beta3, as it has only man-1.5j-5


Note You need to log in before you can comment on or make changes to this bug.